"""Create repo table

Revision ID: 13b2114bc93
Revises:
Create Date: 2015-01-14 10:09:01.616998

"""

# revision identifiers, used by Alembic.
revision = '13b2114bc93'
down_revision = None
branch_labels = None
depends_on = None

from alembic import op
import sqlalchemy as sa


def upgrade():
    op.create_table(
        'user',
        sa.Column('id', sa.Integer, primary_key=True),
        sa.Column('date_created', sa.DateTime, nullable=False),
        sa.Column('name', sa.String(100), nullable=False),
        sa.Column('password', sa.Text, nullable=False)
    )
    op.create_table(
        'repo',
        sa.Column('id', sa.Integer, primary_key=True),
        sa.Column('date_created', sa.DateTime, nullable=False),
        sa.Column('description', sa.String(300)),
        sa.Column('name', sa.String(100), nullable=False),
        sa.Column('owner_id', sa.Integer, sa.ForeignKey('user.id'),
                  nullable=False),
        sa.Column('turnip_id', sa.String(100), nullable=False)
    )

def downgrade():
    op.drop_table('repo')
    op.drop_table('user')
