"""Main entry point
"""
from pyramid.config import Configurator
from sqlalchemy import engine_from_config

from .models import (
    Base,
    DBSession,
    )


def main(global_config, **settings):
    engine = engine_from_config(settings, 'sqlalchemy.')
    DBSession.configure(bind=engine)
    Base.metadata.bind = engine
    config = Configurator(settings=settings)
    config.include("cornice")
    config.include("pyramid_rpc.xmlrpc")
    config.include("pyramid_tm")
    config.add_xmlrpc_endpoint('githosting', '/githosting')
    config.scan("turnipcake.views")
    return config.make_wsgi_app()
