import datetime

from sqlalchemy import (
    Column,
    DateTime,
    ForeignKey,
    Integer,
    Text,
    )
from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy.orm import (
    relationship,
    scoped_session,
    sessionmaker,
    )

from zope.sqlalchemy import ZopeTransactionExtension

DBSession = scoped_session(sessionmaker(extension=ZopeTransactionExtension()))
Base = declarative_base()


class Repo(Base):
    __tablename__ = "repo"
    id = Column(Integer, primary_key=True)
    name = Column(Text)
    date_created = Column(DateTime, default=datetime.datetime.utcnow)
    owner_id = Column(Integer, ForeignKey('user.id'))
    owner = relationship('User', backref='repos')
    turnip_id = Column(Text)


class User(Base):
    __tablename__ = "user"
    id = Column(Integer, primary_key=True)
    name = Column(Text)
    date_created = Column(DateTime, default=datetime.datetime.utcnow)
    password = Column(Text)
